Edit Account
Update information on an existing Veem account.
This endpoint is used to edit specific parameters in an existing Veem account. The endpoint is as follows:
PATCH /veem/v1.2/account/{accountId}Headers
There are 2 headers necessary for the use of this endpoint:
- X-request-id: This is a number unique to the current API request, and follows the UUID format. Reusing this header without changing the value will result in a 500 (Internal Server Error) status. An example X-request-id is as follows:
48855846-628d-4177-b071-80332a116f0a
- Authorization: This header holds the bearer token required to use Veem's public API. Failure to use a valid bearer token will result in a 404 (Not Found) status. An example of a valid token is as follows:
Bearer d49e7fd4-2600-4dd4-a572-118668febbe7
Request Payload
When editing an account, one must follow the format as shown in the following example:
{
"subIndustry": "Software",
"firstName": "New First Name",
"lastName": "New Last Name",
"dialCode": "+1",
"phoneNumber": "6612861111",
"taxIdNumber": "54-3216789",
"businessName": "New Business Name",
"industry": "Software, IT and Telecommunications",
"address": {
"street": "Address line 1",
"streetSecondary": "Address line 1",
"city": "San Francisco",
"postalCode": "94116",
"province": "CA"
}
}
Request Parameters
The following table contains detailed information on the payload's parameters, such as the parameter name, formatting (if applicable), and size of the parameter
Note: None of these fields are mandatory. You are free to choose which fields you want to modify in an account
| Parameter | Format/Values | Size |
|---|---|---|
| firstName | 64 (Max) | |
| lastName | 64 (Max) | |
| dialCode | Country code (such as +1 for US or Canada, +31 for Netherlands etc. More info available below the table)
| 2-5 |
| phoneNumber | 1234567654
| 12 (Max) |
| businessName | 128 (Max) | |
| taxIdNumber | XX-XXXXXXX | 11 |
| industry | Agriculture Business Services Construction Consumer Services Education Energy, Utilities, Waste & Minerals Finance, Insurance Government, Organizations Holding Companies & Conglomerates Hospitality, Recreation & Tourism Hospitals, Clinics & Healthcare Services Law Firms & Legal Services Manufacturing Media, Arts & Entertainment Real Estate Retail Trade Software, IT and Telecommunications Transportation, Warehousing, Wholesale | |
| subIndustry |
| |
| address.street | 64 (Max) | |
| address.streetSecondary | 64 (Max) | |
| address.city | 2-64 | |
| address.postalCode | 2-10 | |
| address.province | 2-64 | |
| businessEntity |
| |
| isoCountryCode | ISO 3166-1 alpha-2 standard (eg. US, BE, BT etc) | 2 |
For extra information, you can find some resources here:
Dial codes: https://en.wikipedia.org/wiki/List_of_country_calling_codes
Subindustry list: placeholder
Response Payload
Once a valid request has been sent, a response payload of this format should be expected:
{
"id": 374999,
"email": "[email protected]",
"clientId": "APITesting-98c22708",
"clientSecret": "d7f4f648-2102-4e0a-9108-7a5e94d7dfa7",
"token": "d51948db-6da6-499e-9af5-bb48767145f5"
"accountSetUpStatus": "READY",
"verificationStatus": "Unverified",
}Updated 3 months ago
